import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  For DNS queries that originate in your VPCs, specifies which Resolver endpoint the queries pass through, one domain name that you want to forward to your network, and the IP addresses of the DNS resolvers in your network.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-route53resolver-resolverrule.html">the AWS Docs</a>
*/
export function resolverRule(resolverRuleProps) {
    return new AwsResource('AWS::Route53Resolver::ResolverRule', resolverRuleProps, { ResolverEndpointId: 'ResolverEndpointId', DomainName: 'DomainName', ResolverRuleId: 'ResolverRuleId', Arn: 'Arn', TargetIps: 'TargetIps', Name: 'Name' });
}
